# Uses of Interface
org.eclipse.ui.forms.events.IExpansionListener

Packages that use IExpansionListener
Package
Description
org.eclipse.ui.forms.events
Events and listeners for forms-based parts.
org.eclipse.ui.forms.widgets
Custom widgets and controls for forms-based parts.

## Uses of IExpansionListener in org.eclipse.ui.forms.events

Classes in org.eclipse.ui.forms.events that implement IExpansionListener
Modifier and Type
Class
Description
`class`
`ExpansionAdapter`
This adapter class provides default implementations for the methods described by the `ExpansionListener` interface.
Methods in org.eclipse.ui.forms.events that return IExpansionListener
Modifier and Type
Method
Description
`static IExpansionListener`
IExpansionListener.`expansionStateChangedAdapter(Consumer<ExpansionEvent> consumer)`
Static helper method to create a `IExpansionListener` for the `expansionStateChanged(ExpansionEvent)` method, given a lambda expression or a method reference.
`static IExpansionListener`
IExpansionListener.`expansionStateChangingAdapter(Consumer<ExpansionEvent> consumer)`
Static helper method to create a `IExpansionListener` for the `expansionStateChanging(ExpansionEvent)` method, given a lambda expression or a method reference.

## Uses of IExpansionListener in org.eclipse.ui.forms.widgets

Methods in org.eclipse.ui.forms.widgets with parameters of type IExpansionListener
Modifier and Type
Method
Description
`void`
ExpandableComposite.`addExpansionListener(IExpansionListener listener)`
Adds the listener that will be notified when the expansion state changes.
`void`
ExpandableComposite.`removeExpansionListener(IExpansionListener listener)`
Removes the expansion listener.